Subject: Re: bug#16220: url-http.el: Not conforming to HTTP spec

From: Stefan Monnier <[email-masked]>
Date: Mon, 06 Jan 2014 10:06:50 -0500

> but I kinda stopped before I really got started, because I couldn't
> figure out how to make this work in the non-lexical binding case.  And
> having this work only with lexical binding seemed kinda meh.

I think it's perfectly OK to have it require lexical-binding.
The macro can signal an error if lexical-binding is nil.

        Stefan